Bug 1103545 - Review Request: granite - GTK extensions for the elementary desktop
Summary: Review Request: granite - GTK extensions for the elementary desktop
Keywords:
Status: CLOSED DUPLICATE of bug 1398433
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: granite (view as bug list)
Depends On:
Blocks: 1068850
TreeView+ depends on / blocked
 
Reported: 2014-06-01 23:27 UTC by Wesley Hearn
Modified: 2016-12-05 15:44 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-05 15:44:55 UTC
i: fedora-review?


Attachments (Terms of Use)
FTBFS - mock rawhide build logs 2015-04-27 (21.33 KB, text/plain)
2015-04-27 19:57 UTC, Adam Miller
no flags Details

Description Wesley Hearn 2014-06-01 23:27:48 UTC
Spec URL: http://jknife.fedorapeople.org/review/granite/granite.spec
SRPM URL: http://jknife.fedorapeople.org/review/granite/granite-0.2.3.1-1.fc20.src.rpm
Description: Granite is an extension of GTK. Among other things, it provides the custom widgets used in elementary apps.
Fedora Account System Username: jknife

$ rpmlint ./granite*.rpm
granite-devel.x86_64: W: no-documentation
granite-devel.x86_64: W: no-manual-page-for-binary granite-demo
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

no-manual-page-for-binary: https://bugs.launchpad.net/granite/+bug/1281294

Comment 1 Wesley Hearn 2014-06-01 23:28:42 UTC
*** Bug 998483 has been marked as a duplicate of this bug. ***

Comment 2 Christopher Meng 2014-06-18 09:10:26 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated




===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "LGPL (v3 or later)", "LGPL (v2 or later) (with incorrect FSF address)",
     "Unknown or generated". 2 files have unknown license. Detailed output of
     licensecheck:

LGPL (v2 or later) (with incorrect FSF address)
-----------------------------------------------
granite-0.2.3.1/lib/Widgets/widgets-utils.c

LGPL (v3 or later)
------------------
granite-0.2.3.1/demo/GraniteDemo.vala
granite-0.2.3.1/lib/Application.vala
granite-0.2.3.1/lib/Drawing/BufferSurface.vala
granite-0.2.3.1/lib/Drawing/Color.vala
granite-0.2.3.1/lib/Drawing/Utilities.vala
granite-0.2.3.1/lib/GtkPatch/AboutDialog.vala
granite-0.2.3.1/lib/Services/Contractor.vala
granite-0.2.3.1/lib/Services/ContractorProxy.vala
granite-0.2.3.1/lib/Services/IconFactory.vala
granite-0.2.3.1/lib/Services/Logger.vala
granite-0.2.3.1/lib/Services/Paths.vala
granite-0.2.3.1/lib/Services/Settings.vala
granite-0.2.3.1/lib/Services/SimpleCommand.vala
granite-0.2.3.1/lib/Services/System.vala
granite-0.2.3.1/lib/Widgets/AboutDialog.vala
granite-0.2.3.1/lib/Widgets/AppMenu.vala
granite-0.2.3.1/lib/Widgets/CellRendererBadge.vala
granite-0.2.3.1/lib/Widgets/CellRendererExpander.vala
granite-0.2.3.1/lib/Widgets/CollapsiblePaned.vala
granite-0.2.3.1/lib/Widgets/CompositedWindow.vala
granite-0.2.3.1/lib/Widgets/ContractorMenu.vala
granite-0.2.3.1/lib/Widgets/ContractorView.vala
granite-0.2.3.1/lib/Widgets/DatePicker.vala
granite-0.2.3.1/lib/Widgets/DecoratedWindow.vala
granite-0.2.3.1/lib/Widgets/DynamicNotebook.vala
granite-0.2.3.1/lib/Widgets/Entries.vala
granite-0.2.3.1/lib/Widgets/LightWindow.vala
granite-0.2.3.1/lib/Widgets/ModeButton.vala
granite-0.2.3.1/lib/Widgets/OverlayBar.vala
granite-0.2.3.1/lib/Widgets/PopOver.vala
granite-0.2.3.1/lib/Widgets/SidebarPaned.vala
granite-0.2.3.1/lib/Widgets/SourceList.vala
granite-0.2.3.1/lib/Widgets/StaticNotebook.vala
granite-0.2.3.1/lib/Widgets/StatusBar.vala
granite-0.2.3.1/lib/Widgets/ThinPaned.vala
granite-0.2.3.1/lib/Widgets/TimePicker.vala
granite-0.2.3.1/lib/Widgets/ToolButtonWithMenu.vala
granite-0.2.3.1/lib/Widgets/Utils.vala
granite-0.2.3.1/lib/Widgets/Welcome.vala
granite-0.2.3.1/lib/Widgets/WrapLabel.vala
granite-0.2.3.1/lib/style-classes.vala

Unknown or generated
--------------------
granite-0.2.3.1/lib/Widgets/close-button.c
granite-0.2.3.1/lib/Widgets/widgets-utils.h

[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/locale/rue,
     /usr/share/locale/rue/LC_MESSAGES
[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/locale/rue/LC_MESSAGES, /usr/share/locale/rue
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: gtk-update-icon-cache is invoked in %postun and %posttrans if package
     contains icons.
     Note: icons in granite
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: granite-0.2.3.1-1.fc21.i686.rpm
          granite-devel-0.2.3.1-1.fc21.i686.rpm
          granite-0.2.3.1-1.fc21.src.rpm
granite-devel.i686: W: no-documentation
granite-devel.i686: W: no-manual-page-for-binary granite-demo
3 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint granite granite-devel
granite.i686: W: unused-direct-shlib-dependency /usr/lib/libgranite.so.1.0.1 /lib/libpangocairo-1.0.so.0
granite.i686: W: unused-direct-shlib-dependency /usr/lib/libgranite.so.1.0.1 /lib/libatk-1.0.so.0
granite.i686: W: unused-direct-shlib-dependency /usr/lib/libgranite.so.1.0.1 /lib/libcairo-gobject.so.2
granite.i686: W: unused-direct-shlib-dependency /usr/lib/libgranite.so.1.0.1 /lib/libgthread-2.0.so.0
granite-devel.i686: W: no-documentation
granite-devel.i686: W: no-manual-page-for-binary granite-demo
2 packages and 0 specfiles checked; 0 errors, 6 warnings.
# echo 'rpmlint-done:'



Requires
--------
granite (rpmlib, GLIBC filtered):
    /bin/sh
    libatk-1.0.so.0
    libc.so.6
    libcairo-gobject.so.2
    libcairo.so.2
    libgdk-3.so.0
    libgdk_pixbuf-2.0.so.0
    libgee.so.2
    libgio-2.0.so.0
    libglib-2.0.so.0
    libgobject-2.0.so.0
    libgthread-2.0.so.0
    libgtk-3.so.0
    libm.so.6
    libpango-1.0.so.0
    libpangocairo-1.0.so.0
    rtld(GNU_HASH)

granite-devel (rpmlib, GLIBC filtered):
    /usr/bin/pkg-config
    granite(x86-32)
    libatk-1.0.so.0
    libc.so.6
    libcairo-gobject.so.2
    libcairo.so.2
    libgdk-3.so.0
    libgdk_pixbuf-2.0.so.0
    libgee.so.2
    libgio-2.0.so.0
    libglib-2.0.so.0
    libgobject-2.0.so.0
    libgranite.so.1
    libgthread-2.0.so.0
    libgtk-3.so.0
    libm.so.6
    libpango-1.0.so.0
    libpangocairo-1.0.so.0
    pkgconfig(cairo)
    pkgconfig(gdk-3.0)
    pkgconfig(gdk-pixbuf-2.0)
    pkgconfig(gee-1.0)
    pkgconfig(gio-unix-2.0)
    pkgconfig(glib-2.0)
    pkgconfig(gobject-2.0)
    pkgconfig(gthread-2.0)
    pkgconfig(gtk+-3.0)
    rtld(GNU_HASH)



Provides
--------
granite:
    granite
    granite(x86-32)
    libgranite.so.1

granite-devel:
    granite-devel
    granite-devel(x86-32)
    pkgconfig(granite)



Source checksums
----------------
https://launchpad.net/granite/0.2/0.2.3.1/+download/granite-0.2.3.1.tgz :
  CHECKSUM(SHA256) this package     : 56f05338bb7967f0b912d35bf780a3ddd68b517e1939371a14a5f79581a8f80d
  CHECKSUM(SHA256) upstream package : 56f05338bb7967f0b912d35bf780a3ddd68b517e1939371a14a5f79581a8f80d


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/bin/fedora-review -rvn granite-0.2.3.1-1.fc20.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

----------------------------
1. rue may not be an valid locale, please delete it.

2. rpmlint showed some unused-direct-shlib-dependency issues.

Others are fine.

Comment 3 Wesley Hearn 2014-06-18 14:55:17 UTC
Updated Spec: http://jknife.fedorapeople.org/review/granite/granite.spec
Updated SRPM: http://jknife.fedorapeople.org/review/granite/granite-0.2.3.1-2.fc20.src.rpm

I removed the rue locale, it seems it is a valid locale but not one Fedora supports. It is the "Rusyn language"

Comment 4 Christopher Meng 2014-06-18 15:43:52 UTC
(In reply to Wesley Hearn from comment #3)
> Updated Spec: http://jknife.fedorapeople.org/review/granite/granite.spec
> Updated SRPM:
> http://jknife.fedorapeople.org/review/granite/granite-0.2.3.1-2.fc20.src.rpm
> 
> I removed the rue locale, it seems it is a valid locale but not one Fedora
> supports. It is the "Rusyn language"

If it really is, I think you should file a bug against filesystem package. We should comform to the guideline, but we also need to think about the user experience.

Comment 5 Wesley Hearn 2014-06-20 18:00:49 UTC
So looking at it, it is a partial translation. To get the language into Fedora it would require putting in a translation request, which I do not know Rusyn so I would not be able to help in any way with it and on that it is not a widely used language. I think for the time being it is ok to remove it. At a later date if someone wants Fedora fully translated into rue it is a simple one line change to readd it back.

Comment 6 Christopher Meng 2014-06-26 07:38:34 UTC
Hmm...Looks like 0.3 is available...

Please build again(sorry I forgot to mention this previously).

Comment 7 Wesley Hearn 2014-11-08 04:54:40 UTC
Hey,
    Sorry for the delay but 0.3.0 needed a newer version of vala then what is sipped with Fedora 20, so here is the updated spec and srpm.

https://jknife.fedorapeople.org/review/granite/granite.spec
https://jknife.fedorapeople.org/review/granite/granite-0.3.0-2.fc21.src.rpm

You can find a copr build here:
http://copr.fedoraproject.org/coprs/jknife/pantheon/build/57562/

Comment 8 Wesley Hearn 2015-03-23 17:52:00 UTC
pinging reviewer.

Comment 9 James Wilson Harshaw IV 2015-03-25 13:47:41 UTC
Reviewer went AWHOL, looking for a new reviewer.

Comment 10 Adam Miller 2015-04-27 19:57:07 UTC
Created attachment 1019425 [details]
FTBFS - mock rawhide build logs 2015-04-27

Fails to build on rawhide.

Comment 11 Christopher Meng 2015-08-31 14:30:40 UTC
Taking back.

Comment 12 Upstream Release Monitoring 2015-12-03 16:03:48 UTC
pbrobinson's scratch build of gtk-sharp-beans?#bbba0aef7a4bd673006df5b9a85a5763d9c026bc for epel7-archbootstrap and git://pkgs.fedoraproject.org/gtk-sharp-beans?#bbba0aef7a4bd673006df5b9a85a5763d9c026bc failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12037959

Comment 13 Upstream Release Monitoring 2015-12-03 16:06:08 UTC
pbrobinson's scratch build of gtk-murrine-engine?#b4bddbf235c281d671c99e8008f609b6d4e314d0 for epel7-archbootstrap and git://pkgs.fedoraproject.org/gtk-murrine-engine?#b4bddbf235c281d671c99e8008f609b6d4e314d0 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12037955

Comment 14 Zbigniew Jędrzejewski-Szmek 2016-12-05 15:44:55 UTC

*** This bug has been marked as a duplicate of bug 1398433 ***


Note You need to log in before you can comment on or make changes to this bug.